import React from 'react';
import { StyleSheet, Image, View } from 'react-native';

const PosterView = props => {
  const {
    posterSource,
    posterResizeMode
  } = props;
  const imageStyle = {
    resizeMode: posterResizeMode
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(Image, {
    style: [styles.image, imageStyle],
    source: {
      uri: posterSource
    }
  }));
};

export default PosterView;
const styles = StyleSheet.create({
  container: {
    position: 'absolute',
    left: 0,
    top: 0,
    right: 0,
    bottom: 0,
    backgroundColor: '#0a0a0a'
  },
  image: {
    width: '100%',
    height: '100%'
  }
});
//# sourceMappingURL=PosterView.js.map