import { ColorValue, StyleProp, ViewStyle } from 'react-native';
declare type GradientViewProps = {
    width?: number;
    height?: number;
    startPoint?: {
        x: number;
        y: number;
    };
    endPoint?: {
        x: number;
        y: number;
    };
    startColor?: ColorValue;
    middleColor?: ColorValue;
    endColor?: ColorValue;
    startOpacity?: number;
    middleOpacity?: number;
    endOpacity?: number;
    startOffset?: number;
    middleOffset?: number;
    endOffset?: number;
    style?: StyleProp<ViewStyle>;
};
declare const GradientView: {
    (props: GradientViewProps): JSX.Element;
    defaultProps: {
        startPoint: {
            x: number;
            y: number;
        };
        endPoint: {
            x: number;
            y: number;
        };
        startColor: string;
        middleColor: string;
        endColor: string;
        startOpacity: number;
        middleOpacity: number;
        endOpacity: number;
        startOffset: number;
        middleOffset: number;
        endOffset: number;
    };
};
export default GradientView;
