import React from 'react';
import { Animated, StyleProp, ViewStyle } from 'react-native';
import type { VerticalSeekBarTheme } from '../utils/Theme';
import { Dimension } from './NexenPlayer';
import type { TipViewTheme } from './TipView';
export interface SeekBarTipViewTheme extends VerticalSeekBarTheme, TipViewTheme {
}
declare type SeekBarTipViewProps = {
    dimension: Dimension;
    barHeight: Animated.Value;
    heightPercentage: number;
    icon: JSX.Element;
    theme?: SeekBarTipViewTheme;
    parentStyle?: StyleProp<ViewStyle>;
    style?: StyleProp<ViewStyle>;
};
export declare type SeekBarTipViewRef = {
    updateState: (newState: SeekBarTipViewState) => void;
};
declare type SeekBarTipViewState = {
    showTip?: boolean;
    tipText?: string;
    autoHide?: boolean;
    icon?: JSX.Element;
};
declare const SeekBarTipView: React.ForwardRefExoticComponent<SeekBarTipViewProps & React.RefAttributes<SeekBarTipViewRef>>;
export default SeekBarTipView;
