import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import type { MiniSeekBarTheme, TagViewTheme } from '../utils/Theme';
export interface VolumeTagViewTheme extends TagViewTheme, MiniSeekBarTheme {
}
declare type VolumeTagViewProps = {
    volume: number;
    totalVolume: number;
    muted: boolean;
    isSeekable?: React.MutableRefObject<boolean>;
    theme?: VolumeTagViewTheme;
    style?: StyleProp<ViewStyle>;
    onVolumeSeekStart?: (value: number, totalValue: number, position: number) => void;
    onVolumeSeekUpdate?: (value: number, totalValue: number, position: number) => void;
    onVolumeSeekEnd?: (value: number, totalValue: number, position: number) => void;
    onVolumePress?: () => void;
};
declare const VolumeTagView: {
    (props: VolumeTagViewProps): JSX.Element;
    defaultProps: {
        volume: number;
        totalVolume: number;
        fullScreen: boolean;
    };
};
export default VolumeTagView;
